Comunidad Gambas-es
Versiones de kernel - Versión para impresión

+- Comunidad Gambas-es (https://gambas-es.org)
+-- Foro: Linux (https://gambas-es.org/forumdisplay.php?fid=9)
+--- Foro: Mundo Linux (https://gambas-es.org/forumdisplay.php?fid=10)
+--- Tema: Versiones de kernel (/showthread.php?tid=926)



Versiones de kernel - Shell - 20-06-2022

Buenas!.

Puede ser una tontería ya que con los números de las versiones de las aplicaciones ocurre lo mismo.

En la actualidad estoy usando la versión 5.4.0-120 que es apoyado hasta Abril del 2025.
Si veo los números, es 5.4 es menor que por ejemplo un 5.11, esta es la tontería con tanto númerito.
Si hubiera dicho 5.1, pues vale es menor que la 5.4

Ahora bien en el actualizador de Linux Mint al entrar "Ver" y luego kernel de Linux.
Existen versiones que ya están muertas. Su vida útil se finiquitó. Como es el caso de la 5.8 (y es que esto debe ser más moderno que la 5.4, ¿ no ?). Smile
Luego está la 5.11, igual, otras que ya pasaron al olvido.

Como mucho de la 5.13  ( ¿se le llama rama ?) y la única disponible es la 5.13.0-51 con soporte hasta "agosto del 2022".
Si ya nos vamos a la 5.15 solo hay una y es la 5.15.0.33 hasta febrero del 2023 (supongo que esta es la más nueva y con más tiempo de soporte entre las nuevas).
Y que la gente usaría antes que la que tiene soporte hasta agosto del 2022. Wink

A los que tiene hardware nuevo puede interesarle siempre una nueva versión de kernel.
Pero estable, estable solo debe haber una, la que estoy usando, la 5.4.0-120, al menos con mas tiempo de soporte.

Saludos


RE: Versiones de kernel - Shell - 20-06-2022

He actualizado a la versión 5.15.0-33. Tal como inició el sistema se bajó otro paquete más el actualizador:

linux-generic-hwe-20.04-edge
(This package will always depend on the latest complete generic Linux kernel and headers)

Mi idea era por si lm-sensor era capaz de mostrar más sensores al tener una versión más actualizada del kernel.
Creo que ha sido igual. Todavía tengo que comprobar una opción al iniciar el sistema.
 
Cita:k10temp-pci-00c3
Adapter: PCI adapter
Tctl:         +33.2°C  
Tccd1:        +32.2°C  

acpitz-acpi-0
Adapter: ACPI interface
temp1:        +16.8°C  (crit = +20.8°C)

it8792-isa-0a60
Adapter: ISA adapter
in0:         196.00 mV (min =  +0.00 V, max =  +2.78 V)
in1:         894.00 mV (min =  +0.00 V, max =  +2.78 V)
in2:           1.10 V  (min =  +0.00 V, max =  +2.78 V)
+3.3V:         1.67 V  (min =  +0.00 V, max =  +2.78 V)
in4:           1.50 V  (min =  +0.00 V, max =  +2.78 V)
in5:           1.29 V  (min =  +0.00 V, max =  +2.78 V)
in6:           2.78 V  (min =  +0.00 V, max =  +2.78 V)  ALARM
3VSB:          1.66 V  (min =  +0.00 V, max =  +2.78 V)
Vbat:          1.55 V  
fan1:           0 RPM  (min =    0 RPM)
fan2:           0 RPM  (min =    0 RPM)
fan3:           0 RPM  (min =    0 RPM)
temp1:        +27.0°C  (low  = +127.0°C, high = +127.0°C)  sensor = thermistor
temp2:        +31.0°C  (low  = +127.0°C, high = +127.0°C)  sensor = thermistor
temp3:        +32.0°C  (low  = +127.0°C, high = +127.0°C)  sensor = thermistor
intrusion0:  ALARM

Si es cierto que ahora puedo usar la última versión que permite el sistema con los drivers de Nvidia 510.73.05, no me lo permitía con el kernel 5.4.

En cuanto a donde dice ALARM, pues no te puedes fiar, ya que te puedes quedar en la luna con ciertas cosas. Cosas que debería mostrar unos
valores determinados, como es la pila, digo yo que 3V y no 1.55V. A saber, otro ejemplo, compras unas memorias de una velocidad determinadas
que superan a lo que entendería como estandar y usas el perfil, para que use la frecuencia para que las compraste y con ello también hay un cambio
en la tensión de alimentación de estas.
 

De todas formas parece que hay distros que pueden acceder a una versión de kernel y otras no.

Aquí se habla de la 5.17 que mejora el soporte para Amd Ryzen.

Linux 5.17 mejora el soporte para procesadores Ryzen

La noticia es de marzo, vamos por Junio y Linux MInt 20.3 la máxima versión que soporta es la 5.15

Saludos


RE: Versiones de kernel - Shell - 21-06-2022

Cita:Existen diferentes versiones del kernel en las cuales se van produciendo cambios para mejorar el SO, las cuales se identifican con una nomenclatura de cuatro números separados por 2 puntos. El primer grupo muestra cuál es la versión del núcleo, el segundo está representando la revisión que tiene el núcleo de Linux, el tercer grupo de números se refiere a las revisiones que tiene el kernel de acuerdo a los drivers que se les incorpora. Y, por último, queda el cuarto grupo de números el cual se destina a las correcciones de los fallos.

En el caso de la que tengo instalada ahora:

Bash
  1. uname -r


 
Cita: 
5.15.0-33-generic


Versión: 5
Revisión: 15
Revisiones que tiene el kernel de acuerdo a los drivers que se les incorpora: 0
Correcciones de fallos: 33
 
Cita: 
Una vez que son probadas, aparece una nueva categoría del kernel, llamada “Estable”. Esta se dedica a realizar las correcciones a los errores que puede tener una línea principal para que pueda estar disponible y ser estable. Sus lanzamientos son de acuerdo a las necesidades, pero pueden ser uno cada 7 días.
Por último, queda la categoría del núcleo de Linux a “Largo Plazo”. Esta se enfoca principalmente a realizar el mantenimiento o trabajar en las correcciones que se llevan a cabo en la línea principal de núcleo más viejos. Su trabajo es introducir las correcciones específicas a errores que se consideran importantes. Sus lanzamientos no son muy frecuentes. A esto no hay que confundirlo con el mantenimiento que se realizan en las diferentes distribuciones que tiene Linux, ya que los desarrolladores del kernel no pueden brindar soporte a estos núcleos.

La que tenía por defecto, que era la que estaba apoyada hasta Abril del 2025:

De la 5.4 llegó hasta la 5.4.0-120.
Comenzó con la 5.4.0-26 y hubo hasta llegar a ella 53 distintas que solo variaba en el número de correcciones de fallo. Hasta 120 por lo que se ve.
Así: 5.4.0.X

Referencia:

Kernel de Linux ¿Qué es el núcleo de Linux y cuál es su función?
 

Como nota curiosa. De la 5.4 tengo:

5.4.0-120
5.4.0-117
5.4.0-91

Al hacer sudo apt autoremove. ¿ Cuál kernel debería borrar el sistema automáticamente según vosotros ?.
Yo habría dicho 5.4.0-91...¿ no ?. Ya que es la más antigua. Pues...
 
Cita:Los siguientes paquetes se ELIMINARÁN:
  linux-headers-5.4.0-117 linux-headers-5.4.0-117-generic linux-image-5.4.0-117-generic
  linux-modules-5.4.0-117-generic linux-modules-extra-5.4.0-117-generic

Confused

Supongo que seguirá un criterio. La más fugaz en el sistema, la que lleva mas tiempo.

Saludos